
import React from 'react';
import FormPage from '../../components/FormPage';

//工程方案
export default {
  btnNew:({record,close,loadData,login,btn,dispatch})=> {
    const closeF=()=>{
      close();
      loadData();
    };
    const data={
      id:(record? record.ID:''),
      close:closeF,
      engineeringPlanEditClick:login.engineeringPlanEditClick,
      rules:[{
        field:'MANU_RESOURCE_ID',operator:1,value:record.ID
      }]
    };
    btn.LABEL="履历";
    return {
      content: <FormPage formCode={'MR007'} data={data}/>,
    }
  },
}
